--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new Topic setting the text, the creator and the creation time
full_name: Irc::Channel::Topic::new
is_singleton: true
name: new
params: (text="", set_by="", set_on=Time.new)
visibility: public
